C  
C  Testing existence of global variable DFerror.
C
C  Note: "textfile" should not exist;  otherwise no error is reported.
C        The error code reported should be -1.
C
C


      program errexample

      integer  dsgdims, dferrno
      integer ret, rank, sizes(3)

      ret = dsgdims('textfile', rank, sizes, 3)
      if (ret .lt. 0) then
          print *, 'Error...DFerror = ', dferrno()
      end if
      stop
      end

